(function ($) {
  'use strict';

  Drupal.behaviors.unlimited_field_settings = {
    attach: function (context, settings) {

      let _cardinality_input = $("[name='cardinality']");
      let _cardinality_value = $("[name='cardinality_number']");

      if (_cardinality_input.val() === 'number' && _cardinality_value.val() === '1') {
        $("[name='number_initially_visible_items']").val('1');
      }
      _cardinality_input.change(function () {
        if ($(this).val() === 'number' && $("[name='cardinality_number']").val() === '1') {
          $("[name='number_initially_visible_items']").val('1');
        }
      });

    }
  };

}(jQuery));
